/* * * * * * * * * *
 *  ECP Settings   *             You may change any ECP setting by editing this file.
 * * * * * * * * * *



º General Procedure:

The ECP settings are stored in the main ECP global arrays: ECP_local and ECP_public.
In order to change the settings, you'll edit the content of those arrays resorting
to the OFP command 'set'. For each custom setting, uncomment the respective line
and modify the value 'SETTING', which stands as the default value loaded by the ECP
Core:

ECP_array set [ index , SETTING ];

Remember to keep the structure and type of the values as exemplified! Make sure you
assign the correct value to the correct index in the correct array - otherwise, ECP
will suffer of great instability.



º Summary:

This file is organised into 'general', 'effect' and 'simulation' settings. 
Blood settings are defined seperately in ECP_Blood_Settings.sqs.
Following is an index of this file:

- General Settings
    * Globals
    * Default Island Settings
    * ECP Editor Enhancement Settings

- Effect Settings
    * Override Setting
    * Level of Detail (LOD) Settings
    * Chopper Dust Effects
    * Tank Shock Dust Effects
 * Tank Main Gun Flash
    * Fire Effects
    * AT Backblast
    * Chopper Smoke
    * Plane Smoke
    * Explosion Effects
 * Impact shock
    * Lighthouse Settings
    * Altitude Warning and Radio chatter
    * Flies Settings
 * Large Church Settings
 * Fountain Settings

- Simulation Settings
    * Timed Hand Grenades
    * Bullet Whiz
 * Weapon smoke FX 
 * MG casing FX 
    * Random Weather and Snow
    * Spectator Script
    * HALO Settings
    * Tail Rotor Failure
    * Jamming System
    * AI Join Settings
 * AI Infosharing
 * Helo communications/orders
 * DSAI (Dynamic Speaking AI).
 * AI Flaring (part of DSAI)
 * AI suppressing fire on player.(Alpha code. Single player mode only)
 * AI Surrender




º Available base classes:

All effects have an index for 'classes'. 
For example 'ECP_blood_classes' would contain the superclasses (or parent classes) that blood will be enabled for. 
Object classes are defined in the config.bin file, and the heirarchy for vehicles is as follows:

- All
   - AllVehicles (this is where ECP EHs are defined in the config.bin)
      - Land
           - Man
                - Civilian
                - Soldier
                      - SoldierLAW
                      - SoldierWB
                      - SoldierEB
                      - SoldierGB
           - LandVehicle
                - Car
                      - Jeep
                      - SkodaHelper
                      - Tractor
                      - Truck
                      - UAZ
                      - UAZG
                      - GJeep
                - Motorcycle
                - Tank
                      - T55G
                      - ZSU
                      - M60
                      - M1Abrams
                      - RussianTank
                           - T72
                           - T80
                      - APC
                           - M113
                           - BMP
      - Ship
           - SmallShip
           - BigShip
      - Air
           - Helicopter
           - Plane

For example, suppose you wanted blood effects for all units of class 'Man'. You'd use:

ECP_blood_classes = ["Man"]



º Note before browsing:
Many variables will be automatically set by the server in the MP environment. 
Variables that are defined by the server are commented as such.

*/






/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * == General Settings ============================================= *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */


// Globals
// =======

// ECP_gb_c_...
 // used to define the colours as per the ECP_gb_terrain variable below
 // transparency is set automatically by the scripts

// ECP_gb_c_desert
	//ECP_local set [1, [0.345,0.29,0.168] ];

// ECP_gb_c_standard
	//ECP_local set [2, [0.345 ,0.3,0.168] ];

// ECP_gb_c_vietnam
	//ECP_local set [3, [0.4,0.3,0.2] ];

// ECP_gb_c_snow
	//ECP_local set [4, [0.95,0.95,0.95] ];

// ECP_gb_c_sand
	//ECP_local set [5, [0.6, 0.57, 0.5] ];

// ECP_gb_c_grass
	//ECP_local set [6, [0.2, 0.2, 0.1] ];

// ECP_gb_terrain
/*
     used to determine dust colour across all effects scripts
     this will be changed by island detection automatically if possible
     defined by server in MP


 1 - Desert
 2 - Standard
 3 - Vietnam
 4 - Snow
 5 - Sand
 6 - Grass
 

*/
	//ECP_public set [0, 2 ];



// Default Island Settings
// =======================

// see ECP_Island_Settings.sqs for description of the following:

// ECP_dft_color
	//ECP_local set [22, ECP_public select 0 ];

// ECP_dft_lighthouses
	//ECP_local set [23, [] ];

// ECP_dft_overcast_range
	//ECP_local set [24, [0,1] ];

// ECP_dft_fog_range
	//ECP_local set [25, [0,0.5] ];

// ECP_dft_weather_change_time
	//ECP_local set [26, [900,1200] ];

// ECP_dft_weather_wait_time
	//ECP_local set [27, [300,600] ];

// ECP_dft_snow_locations
	//ECP_local set [28, [] ];

// ECP_dft_snow_range
	//ECP_local set [29, [] ];

// ECP_dft_snow_density
	//ECP_local set [30, [] ];

// ECP_dft_snow_random_chance
	//ECP_local set [31, 0 ];


// ECP Editor Enhancement Settings
// ===============================

// ECP_dbg_skip_crew
 // skip from vehicle to vehicle in group?
 // make true to skip crew members in vehicles
	//ECP_local set [17, false ];

// ECP_dbg_show_console
 // show scripting console initially?
	//ECP_local set [18, true ];

// ECP_dbg_show_unit
 // show unit/group information initially?
	//ECP_local set [19, true ];

// ECP_dbg_heading_mode
 // freelook turn mode
 // 0 to make horiz slider modify speed of heading change
 // 1 to make horiz slider modify heading direction
	//ECP_local set [20, 0 ];

// ECP_dbg_predefined_history
 // pre-defined history items
 // format is ["command 1","command 2",...]
 // these will be selectable via the 'history' drop-down box
 // eg ["setacctime 0.5","setacctime 1"]
	//ECP_local set [21, [] ];




/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * == Effect Settings ============================================== *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */



// Effects Override Setting
// ========================

// ECP_override
 // used to automatically set ECP effect levels
 // corresponds with overrides on ECP Settings dialog
 // note that 'ECP_lod_dis' will automatically be set by the override!
 // "" - no override
 // "low" - P4 1.5 GHz and below
 // "med" - P4 1.5 GHz and above
 // "high" - P4 2.5 GHz and above
	//ECP_local set [32, "" ];



// Level of Detail (LOD) Settings
// ==============================

// ECP_lod_dis
// player maximum distance from unit to player to observe:
//  - blood
//  - explosion effects
//   - fire
//  - AT backblast (Covers vehicle AT, AA, AG also)
//  - tank shock dust
//  - chopper dust
//  - chopper jet wash/smoke damage
//  - Flies
//  - Crater smoke/debris
//  - Fountain FX 
// also modifiable by slider on ECP settings dialog
	//ECP_local set [7, 300 ];

// LOD multipliers (for specific effects)
 // multiply ECP_lod_dis by (LOD multiplier) to determine the effect distance

// blood (ECP_lod_bld_x)
	//ECP_local set [8, 0.5];

// explosions (ECP_lod_exp_x)
	//ECP_local set [9, 2 ];

// fire (ECP_lod_fir_x) - Note, this LOD also now caters for burning men.
	//ECP_local set [10, 1 ];

// AT backblast (ECP_lod_at_x)
	//ECP_local set [11, 1 ];

// tank shock dust (ECP_lod_shk_x)
	//ECP_local set [12, 2 ];

// chopper dust (ECP_lod_chp_x)
	//ECP_local set [13, 2 ];

// chopper jet wash/smoke damage (ECP_lod_chp_jw_x)
	//ECP_local set [148, 2.5 ];

// Flies (ECP_lod_flies_x)
	//ECP_local set [14, 0.2 ];

// Crater smoke/debris (ECP_lod_crater_x)
	//ECP_local set [175, 0.5 ];

// Fountain FX (ECP_fountainFX_lod_x)
	//ECP_local set [193, 1 ];

// ECP_lod_enable
 // enable lod culling
 // can be made to equal false for cutscenes (objects in ECP_lod_target may not be near the action)
 // NEW FEATURE: Intro/Outro cutScenes are detected, disabling Level Of Detail culling 
 // thus enabling effects for every units
	//ECP_local set [16, true ];



// Chopper Dust Effects
// ====================

// ECP_h_dust_enable:
   // true / false, default is true
	//ECP_local set [33, true ];

// ECP_h_dust_classes
   // list of additional classes that chopper dust is implemented for
   // "Helicopter" defined automatically by ECP
	//ECP_local set [34, (ECP_local select 34) + [] ];

// ECP_h_dust_size:
   // specifies size of chopper for dust
   // 1 - Small
   // 2 - Large
   // default is large if chopper not specified
	//ECP_local set [36, [["Cobra",1],["OH58",1]] ];

// ECP_h_dust_type:
   // specifies dust simulation to use
   // 1 - Vektorboson's dust
   // 2 - BAS dust
   // default is BAS dust
	//ECP_local set [37, 2 ];




// Tank Shock Dust Effects
// =======================

// ECP_shock_dust_enable:
   // ****Tank shock dust now requires ECP_tank_whiz_enable = true****
   // This is because tank shock dust now uses the same smart shell fired detection system as tank shell whiz.
   // true / false, default is true
	//ECP_local set [38, true ];

// ECP_shock_dust_classes
   // list of additional classes that tank shock dust is implemented for
   // "Tank" automatically defined by ECP
	//ECP_local set [39, (ECP_local select 39) + [] ];

// ECP_shock_dust_gun_sizes:
   // ****No longer required**** ECP now detects shells regardless of gun type or ammo name
   // the list of main additional main armaments that will cause shock dust
   // "Gun120","Gun105","Gun125","Gun73", "SEB_T54GUN","SEB_M48GUN","SEB_M60GUN","SEB_PT76GUN","SEB_Gun76ZIS","SEB_Gun85" automatically defined by ECP
	//ECP_local set [41, (ECP_local select 41) + [] ];

// Tank Main Gun Flash
// =======================

// ECP_Main_Gun_Flash_enable:
   //****Tank Main Gun Flash requires ECP_tank_whiz_enable = true****
   // This is because tank Main Gun Flash uses the same smart shell fired detection system as tank shell whiz.
   // true / false, default is true
	//ECP_local set [207, true ];

// ECP_tank_maingun_flash_classes
   // list of additional classes that tank Main Gun Flash is implemented for
   // "Tank" automatically defined by ECP
	//ECP_local set [205, (ECP_local select 205) + [] ];

// ECP_tank_maingun_flash_exempt
   // list of additional subclasses of those superclasses defined above that are
   // prohibited from having tank Main Gun Flash
   // "M2StaticMG" automatically defined by ECP
	//ECP_local set [206, (ECP_local select 206) + [] ];



// Fire Effects
// ============

// ECP_fire_enable:
   // true / false, default is true
	//ECP_local set [42, true ];

// ECP_fire_classes
   // list of additional classes that fire effects (flame and smoke) are implemented for
   // "Tank","Car","Air","House" automatically defined by ECP
	//ECP_local set [43, (ECP_local select 43) + [] ];

// ECP_fire_classes_exempt
   // list of additional subclasses of those superclasses defined above that are
   // prohibited from having fire effects
   // "M2StaticMG" automatically defined by ECP
	//ECP_local set [44, (ECP_local select 44) + [] ];

// ECP_fire_damage_classes
   // list of additional classes that damage from fire is implemented for
   // "Tank","Car","Air" automatically defined by ECP
	//ECP_local set [45, (ECP_local select 45) + [] ];

// ECP_fire_explosive_initial
   // if false, there will be no explosion when a unit first dies
	//ECP_local set [178, true ];

// ECP_fire_burn_dis
   // distance away from a fire that player starts to burn and attain damage
   // defined by server in MP
	//ECP_public set [2, 10 ];

// ECP_fire_burn_maxdamage
   // the maximum damage a player receives from fire (per minute!) (ie if the player was standing on top of it)
   // defined by server in MP
	//ECP_public set [3, 0.5 ];

// ECP_fire_random_chance
   // percentage chance of fire occurring - 0.4 would be an 40% chance of fire
   // defined by server in MP
	// default is 40% chance
	//ECP_public set [4, 0.4 ];

// ECP_explosive_chance
   // percentage chance of random explosion (ammo cooking off) every 0.23 seconds during a vehicle fire
	//ECP_local set [179,0.001];

// AT Backblast
// ============

// ECP_bbda_enable
   // The backblast will only occur if this is true, false will deactivate the script
	//ECP_local set [56, true ];

// ECP_bbda_dmg_enable
   // The backblast dammage will only occur if this is true, false will deactivate the script
   // defined by server in MP
	//ECP_public set [11, true ];

// ECP_bbda_trail_enable
   // The backblast trail will only occur if this is true, false will deactivate the script
	//ECP_local set [55, true ];

// ECP_bbda_classes
   // list of additional classes that backblast/trail is implemented for
   // "Man" "Air" "Tank" automatically defined by ECP
   // ****Tanks/APCs require ECP_tank_whiz_enable = true.****
   // This is because tank/APC backblast/trail now uses
   // the same smart shell/rocket fired detection system as tank shell whiz.
	//ECP_local set [57, (ECP_local select 57) + [] ];

// ECP_bbda_classes_exempt
   // list of classes that backblast/trail is prohibited for
	//ECP_local set [58, (ECP_local select 58) + [] ];

// ECP_bbda_dmg_max
   // max amount of damage the backblast will cause
   // ie if damaged unit was right near where the AT weapon was fired then damage would equal this
   // 0 to 1
   // defined by server in MP
	//ECP_public set [12, 1 ];

// ECP_bbda_dmg_dis
   // maximum distance from firer that units in backblast will be damaged
   // defined by server in MP
	//ECP_public set [13, 10 ];

// ECP_bbda_dmg_angle
   // angle behind firer that units in backblast will be damaged
   // defined by server in MP
	//ECP_public set [14, 35 ];

// ECP_bbda_wpns
   // ****No longer required****
   // ECP now detects if unit has fired a shoulder launched rocket regardless of gun type or ammo name.
   // list of additional weapons that cause backblast<--null
   // Standard BIS, BAS, SEB NamPack and JAM weapons automatically defined by ECP<--null
	//ECP_local set [59, (ECP_local select 59) + [] ];




// Chopper Smoke
// =============

// ECP_h_smk_enable
   // The chopper smoke  will only occur if this is true, false will deactivate the script
	//ECP_local set [60, true ];

// ECP_h_smk_classes
   // list of additional classes that chopper smoke is implemented for
   // "Helicopter" is automatically defined by ECP
	//ECP_local set [61, (ECP_local select 61) + [] ];

// ECP_h_smk_dmg
   // The amount of damage the chopper will take before it smokes
   // defined by server in MP
	//ECP_public set [15, 0.5 ];




// Plane Smoke
// ===========

// ECP_pln_smk_enable
   // The plane smoke  will only occur if this is true, false will deactivate the script
	//ECP_local set [63, true ];

// ECP_pln_smk_classes
   // list of additional classes that plane smoke is implemented for
   // "Plane" automatically defined by ECP
	//ECP_local set [64, (ECP_local select 64) + [] ];

// ECP_pln_smk_min_dmg
   // The min value for the plane to start smoking
   // defined by server in MP
	//ECP_public set [16, 0.4 ];

// ECP_pln_smk_mid_dmg
   // The mid damage value, when the planes damage reaches this both engines will start smoking
   // defined by server in MP
	//ECP_public set [17, 0.7 ];

// ECP_pln_smk_max_dmg
   // The planes engines will catch fire at this damage
   // defined by server in MP
	//ECP_public set [18, 0.85 ];

// ECP_pln_smk_type
   // List of plane classes that the plane smoke is avalible for.
	//ECP_local set [66, (ECP_local select 66) + [] ];

// ECP_pln_smk_position
   // format of ECP_pln_smk_position: Array for each class in ECP_pln_smk_type, definition of numbers is:
   // first element = wing span, second = height, third = position (forwards, backwards) and forth = half length
	//ECP_local set [67, (ECP_local select 67) + [] ];




// Explosion Effects
// =================

// ECP_expeff_enable
   // enable explosion effects in their entirety? (true/false)
	//ECP_local set [83, true ];

// ECP_expeff_wtr_splash_enable--this is a child variable of ECP_expeff_enable
   //(true/false) default is true
	//ECP_local set [84, true ];

// ECP_expeff_fireball
   // show explosive fireball effect? (true/false)
	//ECP_local set [85, true ];

// ECP_large_exp_chance
   // this is a child variable of ECP_expeff_fireball
   // 0.5 chance means that there will be a 1/2 chance of large explosion,
   // 0 means there will never be a large explosion, 1 means there will always be a large explosion
   // Note - there is a random secondary very large explosion chance based also on the ECP_large_exp_chance variable.
   // If this happens it's "BIG BARRABOOM"
	//ECP_local set [86, 0.5 ];

// ECP_expeff_dust
   // show dust from explosions? (true/false)
	//ECP_local set [87, true ];

// ECP_expeff_smoking_debris
   // show smoking debris? (true/false)
	//ECP_local set [88, true ];

// ECP_expeff_burning_smoking_men
   // show burning smoking men? (true/false)
	//ECP_local set [89, true ];

// ECP_expeff_burning_smoking_men_chance
   // Burning men chance per vehicle
	// Default = 50%
	// set by server in MP
	//ECP_public set [59, 0.5 ];

// ECP_expeff_smoking_debris_time
   // time in seconds that debris smoke for
   // default 120
	//ECP_local set [90, 120 ];

// ECP_expeff_num_debris
   // maximum number of flying, burning armour debris per explosion
	//ECP_local set [91, 6];

// ECP_expeff_max_debris
   // Maximum number of flying, burning armour debri to be shown anywhere at any one time
	//ECP_local set [134, 50];

// ECP_expeff_classes
   // additional classes that have explosive effects enabled
   // "Tank","Car","Air","Ship" automatically defined by ECP
	//ECP_local set [92, (ECP_local select 92) + [] ];

// ECP_expeff_exempt
   // list of additional subclasses of those superclasses defined above that are
   // prohibited from having explosion effects
   // "M2StaticMG" automatically defined by ECP
	//ECP_local set [93, (ECP_local select 93) + [] ];

// ECP_ex_large
   // enable large explosions, such as satchel charges explosions? (true/false)
	//ECP_local set [94,false];

// ECP_ex_satch
   // list of additional ordnance that cause large explosions
   // "PipeBomb" and "TimeBomb" are default
	//ECP_local set [95, (ECP_local select 95) + [] ];



// Impact shock
// =================

// ECP_impactshock_enable
   // enable additional visual effects from vehicle explosions that compliment ***Explosion Effects*** above and,
   // enable visual/audio effects from independant ordnance including:
   // LAW/AT/Shell/TOW/Zuni/RPG/AA
   // Default is true
	//ECP_local set [141, true ];

// ECP_impactshock_suppression_enable
   // enable dynamic suppression from ordnance close to player
    // These include:
    // White out and ear ringing
   // Note- all ordnance require ECP_impactshock_enable = true
    // Shells require ECP_tank_whiz_enable = true
    // Rockets require ECP_bbda_trail_enable = true
   // Default is true
	//ECP_local set [142, true ];

// ECP_dirt_water_enable
   // enable a small to large dirt/water spray from vehicle and ordnance explosions
   // Note- all ordnance require ECP_impactshock_enable = true
    // Shells require ECP_tank_whiz_enable = true
    // Rockets require ECP_bbda_trail_enable = true
    // Handgrenades require ECP_tgren_enable = true
   // Default is true
	//ECP_local set [143, true];

// ECP_dirt_chunks_enable
   // enable dirt chunks and rocks to fly up from ordnance explosions
   // Note- all ordnance require ECP_impactshock_enable = true
    // Shells require ECP_tank_whiz_enable = true
    // Rockets require ECP_bbda_trail_enable = true
    // Handgrenades require ECP_tgren_enable = true
   // Default is true
	//ECP_local set [144, true ];

// ECP_glow_chunks_enable
   // enable glowing embers to fly up from ordnance explosions and vehicle explosions
   // Note- all ordnance require ECP_impactshock_enable = true
    // Shells require ECP_tank_whiz_enable = true
    // Rockets require ECP_bbda_trail_enable = true
    // Handgrenades require ECP_tgren_enable = true
   // Default is true
	//ECP_local set [145, true ];

// ECP_munitions_smoke_plume_enable
   // enable a smoke plume that emerges from the (already existing) ECP config ordnance fireball explosions
   // Note- all ordnance require ECP_impactshock_enable = true
    // Shells require ECP_tank_whiz_enable = true
    // Rockets require ECP_bbda_trail_enable = true
   // Default is true
	//ECP_local set [146, true ];

// ECP_medium_smoke_plume_enable
   // enable a medium to large smoke plume that emerges from medium to large vehicle explosion fireballs.
   // Default is true
	//ECP_local set [147, true ];

// ECP_crater_smoke_debris_enable
   // enable crater smoke/ debris (stones)/smoking debris at craters.
   // Default is true
   // Note- all ordnance require ECP_impactshock_enable = true
    // Shells require ECP_tank_whiz_enable = true
    // Rockets require ECP_bbda_trail_enable = true
	//ECP_local set [176, true ];

// ECP_crater_smoke_debris_chance
   // Chance of a crater giving debris and smoke if within range of player (ECP_lod_crater_x range).
   // Default is a 50% chance
	//ECP_local set [177, 0.5];

// ECP_expeff_max_crater_debris
   // Maximum number of crater debri (stones) to be shown anywhere at any one time
	//ECP_local set [173, 50 ];

// ECP_expeff_num_crater_debris
   // Maximum number of crater debri (stones) to come from any one crater
   // Note- the minimum number of stones seen is this number divided by 2
   // Example. If Maximum number is set to 20 then you will always see at least 10 stones at crater impact.
	//ECP_local set [174, 12 ];


// Lighthouse Settings
// ===================

// ECP_lh_enable
   // enable lighthouse scripts? (true/false)
   // defined by server in MP
	//ECP_public set [26, true ];

// ECP_lh_ontime
   // daytime that lighthouses are turned on.
   // default is 18.5 (6:30 pm)
   // defined by server in MP
	//ECP_public set [27, 18.5 ];

// ECP_lh_offtime
   // daytime that lighthouses are turned off.
   // default is 5 (5 am)
   // defined by server in MP
	//ECP_public set [28, 5 ];

// ECP_lh_horn_on
   // sound the lighthouse horn? true/false, default is true
	//ECP_local set [105, true ];




// Altitude Warning and Vehicle Radio Chatter
// ===========================================
// Note: 
// The Radio Chatter plugin is optional and is switched off by default.
// You must have the following pbo files installed for the Radio Chatter plugin to work.
 // ECP_us_land_rc.pbo
 //  - radio chatter heard in US land vehicles only
 // ECP_us_air_rc.pbo
 //  - radio chatter heard in US aircraft only
 // ECP_us_air_land_rc.pbo
 //  - radio chatter heard in US aircraft (namely helicopters) and US land vehicles  only
 // ECP_rus_land_rc.pbo
 //  - radio chatter heard in Russian land vehicles only
// ECP_radio_chatter_enable
   // Enable US and Russian radio chatter while player is in Aircraft/Armoured vehicles(true/false)
   // Note: We only have Russian radio chatter for armoured vehicles at this stage, not for aircraft.
   // Default is false
	ECP_local set [198,true];

// ECP_land_vehicle_radio_chatter_classes:
   // List of additional classes that Radio Chatter is init-ed for.
   // "Tank" defined automaticly by ECP 
	//ECP_local set [203, (ECP_local select 203) + [] ];

// ECP_land_vehicle_radio_chatter_exempt
   // list of additional subclasses of those superclasses defined above that are
   // prohibited from having radio chatter
   // "M2StaticMG" added by default
	//ECP_local set [204, (ECP_local select 204) + [] ];

// ECP_alt_enable:
   // enable altitude warning script? (bool)
	//ECP_local set [106, true ];

// ECP_alt_warn_aircraft_radio_chatter_classes:
   // List of additional classes that Altitude warning script and Radio Chatter is init-ed for.
   // "Helicopter" and "Plane" defined automaticly by ECP 
	//ECP_local set [107, (ECP_local select 107) + [] ];

// ECP_alt_warn_radio_chatter_exempt
   // list of additional subclasses of those superclasses defined above that are
   // prohibited from having altitude warning effects and radio chatter
   // "ParachuteBase" added by default
	//ECP_local set [108, (ECP_local select 108) + [] ];



// Flies Settings
// ==============

// ECP_flies_enable
   // enable flies around dead bodies? (true/false)
	//ECP_local set [112, true ];

// ECP_flies_Max
   // max bodies that can have flies at one time
   // default is 3
	//ECP_local set [113, 3 ];

// ECP_flies_classes:
   // list of additional classes that will have flies when dead
   // "Man" defined automatically
	//ECP_local set [120, (ECP_local select 120) + [] ];

// ECP_flies_classes_exempt
   // list of additional subclasses of those superclasses defined above that are
   // prohibited from having flies when dead
	//ECP_local set [121, (ECP_local select 121) + [] ];

// ECP_flies_none_chance
   // % chance of no flies per minute
	//ECP_local set [117, 0.5 ];

// ECP_flies_none_time
   // if ECP_flies_none_chance is successful, time that there is no flies (range)
	//ECP_local set [118, [15,45] ];

// ECP_flies_wait
   // time before flies start up
	//ECP_local set [119, 140 ];

// Large Church Settings
// =====================
// Note--Church object IDs are defined in ECP_Island_Settings.sqs for each island.
// Large Churches created in-game with createvehicle or objects placed in the editor
// will automatically inherit these effects.
// ECP_settings will apply to Large Churches created in-game.

// ECP_dynamic_church_chance
   // % chance of Large Churches having Gregorian chants and night time lights in its entirety.
   // 0.25 means 25% of all Large Churches will have the effects
   // 1 Means all Large Churches will have the effects
   // Default is 0.75
	//ECP_local set [192, 0.75 ];

// ECP_churchlights_enable
   // Enable coloured lights on the churches (true/false)
   // Default is true
	//ECP_local set [191, true ];

// ECP_churchlights_ontime
   // Time the lights will come on 
   // Default is 6:30PM
	//ECP_local set [189,18.5];

// ECP_churchlights_offtime
   // Time the lights will switch off 
   // Default is 5:00AM
	//ECP_local set [190,5];

// Fountain Settings
// =================
// Note--Fountain object IDs are defined in ECP_Island_Settings.sqs for each island.
// Fountains created in-game with createvehicle or objects placed in the editor will automatically inherit these effects.
// ECP_settings will apply to Fountains created in-game.

// ECP_fountainFX_enable
   // Enable coloured lights and Water Fountain FX in their entirety (true/false)
   // Default is true
	//ECP_local set [194, false ];

// ECP_fountainlights_enable
   // Enable coloured lights on the fountains (true/false)
   // Default is true
	//ECP_local set [195, true ];


/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * == Simulation Settings ========================================== *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

// Timed Hand Grenades
// ===================

// ECP_tgren_enable
   // enable timed grenades?
   // defined by server in MP
	//ECP_public set [24, true ];

// ECP_tgren_classes
   // additional classes that will throw timed grenades
   // "Man" automatically defined by ECP
	//ECP_local set [80, (ECP_local select 80) + [] ];

// ECP_tgren_grenades
   // list of grenade weapons that will have a time delay and a specific replacing model
ECP_local set [ 82,

[

"HandGrenade",
"INQ_HandGrenade"
]

];

// ECP_tgren_model_idx
   // List of indexes of the replacing models:
   // [East,West,Res,Civ] or just 'number' will define the model to choose, for each
   // grenade in the list defined above. -1 stands for random model.
ECP_local set [79,

[
	// HandGrenade
	[-1,-1,-1,-1],
	// INQ_HandGrenade
	[0,0,0,-1]
]

];

// ECP_tgren_definitions
   // List of models that will replace the default fuseless hand grenades
ECP_local set [78,

[
	// HandGrenade
	[
		[ // East
			[
				"ECP_F1", //Model
				3.2, // Fuse
				1 // Delay increament
			],
			["ECP_RGO",3.2,1]
		],
		[ // West
			["ECP_M61",4,1],
			["ECP_M67",4,1]
		],
		[ // Guerrilla
			["ECP_MKII",4,2],
			["ECP_F1",3.5,1]
		],
		[ // Civilian
			["ECP_MKII",4,2],
			["ECP_F1",3.5,1]
		]
	],
	// INQ_HandGrenade
	[
		[ ["ECP_RGO",3.2,1] ],
		[ ["ECP_M67",4,1] ],
		[ ["ECP_F1",3.5,1] ],
		[ ["ECP_MKII",4,2], ["ECP_F1",3.5,1] ]
	]
]

];

// ECP_tgren_suppression_enable
   // Suppression from grenades
   // Default is true
	//ECP_local set [140,true];


// Smoke Obstruction Simulation
// ============================

// ECP_SmokeSimEnable
   // Enable obstructive smoke shells?
	//ECP_local set [130, true ];

// ECP_SmokeSimClasses
   // List of classes that fire obstructive smoke shells.
   // Default is man, but can add tanks and other vehicles that fire smoke shells
	//ECP_local set [131, (ECP_local select 131) + [] ];

// ECP_SmokeSimShells
   // List of smoke shells that are going to be replaced
ECP_local set [132,

[

"SmokeShell",
"SmokeShellRed",
"SmokeShellGreen"
]

];


// ECP_SmokeSimLive
   // The respective model that will replace the shell, its color, the smoke release minimum time,
   // the average time increment (the difference between the maximum time and the minimum time) and the size of the
   // smoke cloud (small - 0.5,medium - 1,large - 1.5)
   // higher values can be inputed but the effect might loose realism
   // ECP disposes of the following classes: "ECP_ANM8" dense white smoke grenade, "ECP_ANM83", "ECP_RDG1", "ECP_M18Red", "ECP_M18Green", "ECP_M18Yellow", "ECP_M18Violet"

ECP_local set [133,

[

	[ //SmokeShell
		[ // East
			["ECP_RDG1",[1,1,1],105,45,1]
		],
		[ // West
			["ECP_ANM8",[1,1,1],105,45,1],
			["ECP_ANM83",[1,1,1],25,45,1.5]
		],
		[ // Resistance
			["ECP_RDG1",[1,1,1],105,45,1]
		],
		[ // Civilian
			["ECP_RDG1",[1,1,1],105,45,1]
		]
	],

	[ //SmokeShellRed
		[ ["ECP_RDG1",[0.9,0,0],50,40,1] ],
		[ ["ECP_M18Red",[0.9,0,0],50,40,0.7] ],
		[ ["ECP_RDG1",[0.9,0,0],50,40,1] ],
		[ ["ECP_RDG1",[0.9,0,0],50,40,1] ]
	],

	[ //SmokeShellGreen
		[ ["ECP_RDG1",[0,0.9,0],50,40,1] ],
		[ ["ECP_M18Green",[0,0.9,0],50,40,1] ],
		[ ["ECP_RDG1",[0,0.9,0],50,40,1] ],
		[ ["ECP_RDG1",[0,0.9,0],50,40,1] ]
	]
]

];

// ECP_SmokeSimIdx
   // List of indexes os replacing models
   // Defined for each side. -1 for random models
// [East, West, Resistance, Civilian]
// Example West side having random models for white smoke grenades therefore is [0,-1,0,0] found under //white smoke.
ECP_local set [129,

[
	//white smoke
	[0,-1,0,0],
	//red smoke
	[0,0,0,0],
	//green smoke
	[0,0,0,0]
]

];


// Bullet Whiz
// ===========

// ECP_man_whiz_enable:
   // true / false, default is true
   // Default will be set to false if in Intro/Outro cutScenes
	//ECP_local set [68, true ];

// ECP_bullet_whiz_classes
   // list of additional classes that bullet whiz is implemented for
   // "Man", "Tank", "Car" automatically defined by ECP
	//ECP_local set [71, (ECP_local select 71) + [] ];

// ECP_max_whiz_sounds
   // The maximum number of bullets whiz sounds heard at any one instant by player
   // If you experiance lag during fire fights reduce this number to 2 or 1, you'll still hear plenty of whizzes =)
   // Default is 3
	//ECP_local set [69, 3 ];

// ECP_tank_whiz_enable:
   // true / false, default is true
	//ECP_local set [70, true ];


// Weapon smoke FX 
// ===============
// ECP_weapon_smokeFX_enable
   // true / false, default is true
   // Smoke at barrel from fired bullets on all weapons
   // Note:Requires ECP_tank_whiz_enable = true for vehicles
	//ECP_local set [135, true ];

// ECP_weapon_smokeFX_classes
   // list of additional classes that weaponFX (smoke) is implemented for
   // "Man", "Tank","Car" automatically defined by ECP
	//ECP_local set [136, (ECP_local select 136) + [] ];

// ECP_weapon_smokeFX_classes_exempt
   // list of classes that are prohibited from having weaponFX. 
   // ["SUCHpatrol", "SUCHftldr","SUCHusmcrifle","SUCHusmcgren","SUCHusmcmedic","SUCHusmcauto","SUCHusmcsmaw","SUCHusmcJAV","SUCHrecon","SUCHrecon1","SUCHrecon2","SUCHrecon3","SUCHpatrol_des","SUCHftlead_des","SUCHrifledes","SUCHgren_des","SUCHmed_des","SUCHmg_des","SUCHusmcsmawdes","SUCHusmcJAVDes","SuchRofficer","SuchRast","SuchRmedic","SuchRrifle","SuchRgren","SuchRauto","Suchr_rpg","Suchspets","Suchspets2","Suchspets3","Suchr_offdes","Suchr_ast_des","SuchRrifle_des","SuchRauto_des","SuchRmed_des","SuchRgren_des","Such_rpg_des"], are already defined by ECP.
	//ECP_local set [137, (ECP_local select 137) + [] ];

// MG casing FX 
// ============

// ECP_MGFX_casing_enable
   // true / false, default is true
   // Shell casings from fired bullets on helicopter and static machine guns
	//ECP_local set [172, true ];

// ECP_MGFXcasing_classes
   // list of additional classes that MG casing FX is implemented for
   // Note: Requires ECP_tank_whiz_enable = true for land vehicles 
   // "M2StaticMG", "Helicopter", "Car" automatically defined by ECP
	//ECP_local set [170, (ECP_local select 170) + [] ];

// ECP_MGFXcasing_classes_exempt
   // list of classes that are prohibited from having MG casing FX .
	//ECP_local set [171, (ECP_local select 171) + [] ];

// Random Weather and Snow
// =======================

// ECP_random_weather_enable:
   // true / false, default is true
   // defined by server in MP
	//ECP_public set [19, false ];

// ECP_random_weather_report
   // display a weather report when weather has changed?
	//ECP_local set [73, true ];

// ECP_keg_snow_enable
   // enable snow? (true/false)
   // note that snow will only work if ECP_random_weather_enable equals true
   // and the overcast (defined in ECP_Island_Settings.sqs) is greater than 0.7
	//ECP_local set [74, true ];

// ECP_keg_snow_duration
   // duration between snow updates - default is 30 seconds
	//ECP_local set [75, 30 ];




// Spectator Script
// ================

// ECP_respawn_mode:
   // specifies the respawn camera to use once no more respawns are left
   // 1 - seagull
   // 2 - Kegety's spectator script (default)
	//ECP_local set [49, 2 ];

// ECP_death_spectate_units:
   // specifies the units to spectate upon player death
   // 1 - spectate player's group
   // 2 - spectate all 'Man' units on the player's side
   // 3 - spectate all units on the player's side
	//ECP_local set [50, 3 ];

// ECP_death_spectate_SP_enable:
   // specifies whether or not the spectator script will launch in Single Player
   // true to implement the spectator script, otherwise false
   // default is false
	//ECP_local set [51, false ];




// HALO Settings
// =============

// ECP_halo_enable
   // enable HALO scripts? (true/false)
	//ECP_local set [99, true ];

// ECP_halo_man_classes
   // additional classes that can conduct HALO jumps
   // "Soldier" automatically defined by ECP
	//ECP_local set [100, (ECP_local select 100) + [] ];

// ECP_halo_aircraft_classes
   // list of additional classes of aircraft that can conduct HALO
   // "Air" automatically defined by ECP
	//ECP_local set [138, (ECP_local select 138) + [] ];

// ECP_halo_aircraft_classes_exempt
   // list of classes that are prohibited from conducting HALO. 
   // ["ParachuteBase"] already defined by ECP
	//ECP_local set [139, (ECP_local select 139) + [] ];

// ECP_halo_height
   // opening height of parachute
	//ECP_local set [102, 150 ];

// ECP_halo_variance
   // variance in opening height
	//ECP_local set [103, 30 ];

// ECP_halo_failrate
   // % chance of failure
   // default is 0.001
	//ECP_local set [104, 0.001 ];




// Tail Rotor Failure
// ==================

// ECP_h_rfail_enable
   // Tail rotor failure will only occur if this is true, false will deactivate the script
   // defined by server in MP
	//ECP_public set [5, true ];

// ECP_h_rfail_classes
   // list of additional classes that tail failure is implemented for
   // "Helicopter" defined automatically by ECP
	//ECP_local set [52, (ECP_local select 52) + [] ];

// ECP_h_rfail_chance
   // That chance of the rotor failure occuring the chopper has been dammaged a certain amount (defined below)
   // for example 0.3 = a 30% chance that the rotor failure will occur
   // defined by server in MP
	//ECP_public set [6, 0.3 ];

// ECP_h_rfail_dmg
   // The dammage that the chopper must take before the the script decides if the rotor will fail or not
   // for example the chopper must suffer a dammage of 0.6 before there is a chance of rotor failure
   // choose a value between 0 and 1
   // defined by server in MP
	//ECP_public set [7, 0.6 ];

// ECP_h_rfail_RANDOMKILLS
   // Alows men in the chopper to be killed by the crash.
   // True = will let them be killed, Flase = will let them live
   // defined by server in MP
	//ECP_public set [8, true ];

// ECP_h_rfail_MAXKILLS
   // The max amount of people that can be killed by the tail rotor failure
   // defined by server in MP
	//ECP_public set [9, 3 ];

// EECP_h_rfail_radio
   // play a radio message when tail rotor failure occurs?
   // defined by server in MP
	//ECP_public set [10, true ];



// Jamming System
// ==============

// ECP_jam_enable:
   // enable jamming system script? (bool)
   // defined by server in MP
	//ECP_public set [29, true ];

// ECP_jam_classes:
   // List of additional classes that jamming script is init-ed for.
   // ("Helicopter" and "Plane" defined Automagicly ;) by ECP )
	//ECP_local set [109, (ECP_local select 109) + [] ];

// ECP_jam_exempt
   // list of additional subclasses of those superclasses defined above that are
   // prohibited from having jamming system effects
	//ECP_local set [110, (ECP_local select 110) + [] ];

// ECP_jam_ammo
   // List of ammo considered to be IR guided AA
   // "AA" and "9K32" added by default
	//ECP_local set [111, (ECP_local select 111) + [] ];

// ECP_jam_chance
   // % chance of jamming successfully
   // defined by server in MP
// ECP_public set [30, 0.33 ];

// ECP_jam_nflares
   // number of flares in a salvo
   // defined by server in MP
	//ECP_public set [31, 4 ];

// ECP_jam_nsalvos
   // repeat number of salvos
   // defined by server in MP
	//ECP_public set [32, 1 ];



// AI Join Settings
// ================

// ECP_AI_join_enable
   // enable the player to join "Man" type units to his/her squad? (true/false)
   // defined by server in MP
   // default is true
	//ECP_public set [33, true ];

// ECP_AI_join_single_units
   // if true, only single units (not part of a larger group) can be joined to the player
   // if false, units that are part of a larger group can also be joined
   // default is true
   // defined by server in MP
	//ECP_public set [35, true ];

// ECP_AI_release_enable
   // enable the player to release "Man" type units from his/her squad? (true/false)
   // defined by server in MP
   // default is true
	//ECP_public set [36, true ];


// AI Infosharing Settings
// =======================

// ECP_AI_infoshare_enable
   // Enable AI information sharing?
   // defined by server in MP
	//ECP_public set [37, true ];


// ECP_AI_infoshare_range
   // Range that 2 units need to be within to share information.
   // Default is 75m
   // defined by server in MP
	//ECP_public set [38,75 ];


// ECP_AI_infoshare_delay
   // Delay between AI information broadcasts
   // Default is 10 seconds.
   // Note: The longer the delay the longer the AI will retain memory of the enemy but also the 
   // longer the delay between broadcasts.
   // The shorter the delay--he will lose memory much quicker but will broadcast more often.
   // Shorter delays may increase lag and not represent realistic values.
   // defined by server in MP
	//ECP_public set [39, 10 ];

// ECP_AI_infoshare_detection_delay
   // Delay between checks for AI detecting enemy for first time
   // Default delay is 2 seconds. If lag is experianced then increase this value.
   // defined by server in MP
	//ECP_public set [49, 2 ];


// Helo communications/orders
// ==========================
// ECP_helo_coms_enable
   // Enable team leader to give AI helo pilot orders(land, fly low/high, extraction, insertion)
   // Default is true
   // defined by server in MP
	//ECP_public set [50, true ];

// ECP_helo_com_classes
   // list of additional classes that Helo coms are implemented for
   // "Helicopter" automatically defined by ECP
	//ECP_local set [163, (ECP_local select 163) + [] ];

// ECP_helo_com_classes_exempt
   // list of additional subclasses of those superclasses defined above that are
   // prohibited from having helo coms.
   // ["bas_mh60k","bas_ah60ldap","bas_uh60l","bas_mh60l","bas_ah60l","BAS_MH47E1","BAS_MH47E"] 
   // are automatically made exempt by ECP
	//ECP_local set [164, (ECP_local select 164) + [] ];


// DSAI (Dynamic Speaking AI). Covers safe, aware, and combat modes
// ================================================================
// Note--You must have the ECP_DSAI.pbo installed for this plugin to work.
// ECP_dsai_master_enable
   // Enable/disable dynamic speaking AI and night time flare firing in its entirety
   // Default is false
   // defined by server in MP
	ECP_public set [51,true];

// ECP_dsai_us_enable
   // Enable/disable Dynamic Speaking AI in English (US accent) for WEST units 
   // Note: Combat talk requires ECP_AI_infoshare_enable = true <<ECP_public set [37, true ]>>
   // "Incoming!" screams from shells require ECP_tank_whiz_enable = true
   // "Incoming!" screams from rockets require ECP_bbda_trail_enable = true
   // "Incoming!" screams from grenade launchers require (ECP_man_whiz_enable = true) or...
   // ...(ECP_weapon_smokeFX_enable = true)
   // "Grenade!" screams require ECP_tgren_enable = true
   // Default is true
   // defined by server in MP
	//ECP_public set [52, true ];


// ECP_dsai_rus_enable
   // Enable Dynamic Speaking AI in Russian for EAST units
   // Note: Combat talk requires ECP_AI_infoshare_enable = true <<ECP_public set [37, true ]>>
   // "Incoming!" screams from shells require ECP_tank_whiz_enable = true
   // "Incoming!" screams from rockets require ECP_bbda_trail_enable = true
   // "Incoming!" screams from grenade launchers require (ECP_man_whiz_enable = true) or...
   // ...(ECP_weapon_smokeFX_enable = true)
   // "Grenade!" screams require ECP_tgren_enable = true
   // Default is true
   // defined by server in MP
	//ECP_public set [53, true ];

// ECP_dsai_res_rus_enable
   // Enable Dynamic Speaking AI in Russian for RESISTANCE units
   // Note: Combat talk requires ECP_AI_infoshare_enable = true <<ECP_public set [37, true ]>>
   // "Incoming!" screams from shells require ECP_tank_whiz_enable = true
   // "Incoming!" screams from rockets require ECP_bbda_trail_enable = true
   // "Incoming!" screams from grenade launchers require (ECP_man_whiz_enable = true) or...
   // ...(ECP_weapon_smokeFX_enable = true)
   // "Grenade!" screams require ECP_tgren_enable = true
   // Default is true
   // defined by server in MP
	//ECP_public set [54, true ];

// ECP_dsai_west_flaring_enable
   // Enable West AI to fire flares at night upon enemy contact
   // Note: AI will not fire flares if they have NV goggles
   // 1 = available
   // 0 = not available
   // Default is 1 (available)
   // defined by server in MP
	//ECP_public set [56, 1 ];

// ECP_dsai_east_flaring_enable
   // Enable East AI to fire flares at night upon enemy contact
   // Note: AI will not fire flares if they have NV goggles
   // 1 = available
   // 0 = not available
   // Default is 1 (available)
   // defined by server in MP
	//ECP_public set [57, 1 ];

// ECP_dsai_res_flaring_enable
   // Enable Resistance AI to fire flares at night upon enemy contact
   // Note: AI will not fire flares if they have NV goggles
   // 1 = available
   // 0 = not available
   // Default is 1 (available)
   // defined by server in MP
	//ECP_public set [58, 1 ];

// ECP_dsai_classes
   // list of additional classes that dsai is implemented for
   // "Man" automatically defined by ECP
	//ECP_local set [165, (ECP_local select 165) + [] ];

// ECP_dsai_classes_exempt
   // list of soldier classes that are prohibited from using DSAI. 
   // ["SoldierWSniper","SoldierESniper","SoldierGSniper"] are already defined by ECP
	//ECP_local set [166, (ECP_local select 166) + [] ];

// Note: 
// You may also specify particular individual units to be exempt from DSAI by 
// placing the following in the init field of the unit, in the editor.
// [this] exec format["%1dsai\dsai_exclude.sqs",ECP_path]

// If placed in a soldiers init field the soldier will not speak or play animations
// If placed in a vehicles init field then none of the crew will speak or play animations

// AI suppressing fire on player.
// ==============================
// ECP_AI_suppressing_fire_enable
   // Enable/disable suppressing fire from AI on player
   // Note: This code is Alpha (test stage) and is for single player mode only
   // Does not work with Civilian players.
   // Default is true
	//ECP_local set [196, true ];

// AI Surrender. (Part of AI info share and DSAI)
// ==============================================
//Note: You must have AI infoshare and DSAI enabled for AI Surrender to work.
//This code is Alpha (test stage). AI will only surrender under the following conditions:
	//They are fleeing.
	//They are within 200m of the player (single player) or within 200m of any ECP player (multiplayer).
	//Their group leader is within 100m of the unit that is fleeing (so that he surrenders also)... 
	//...and fulfills the above requirements.
	//They are within the distance ECP_AI_surrender_dist_from_enemy (ECP_public select 68) of their "known" enemies.
	//They are "man" units.
	//Their side is EAST, WEST, or RESISTANCE
	//They have less than or equal to ECP_AI_surrender_group_num (ECP_public select 67)units left alive in their group.
	//They have less than or equal to ECP_AI_surrender_min_backup (ECP_public select 66)friendly units nearby... 
	//...(in other groups) that have weapons and ammo.
//Also note:
	//AI in any players group will never surrender.
	//AI that have surrendered that are on the players side or are allied to the players side
	//can be told by the player to "Get back into the fight!" if they are close enough.
	//Enemy surrendered AI can be captured (by the player only) and ordered to follow the player or halt.
	//The player has the option to destroy the weapons they dropped , or he may take them.
	//POWs can also be interrogated for information on enemy positions.
	//The higher the rank of the POW the more info he might give you.
	//POWs may not give any information at all, this is decided by the ECP_AI_interrogation_chance....
	//...set in (ECP_public select 69)
	//Interrogation causes damage to any POW. Excessive interrogation may kill them.
	//POWs will attempt to escape if they have no guards, they will know who resistance is allied with.
	//They will attempt to regain the weapons they dropped, 
	//failing that they will scavenge weapons from dead bodies. 
	//If they escape successfully they will continue on their preset waypoints.
	//Once a unit has surrendered he will never flee or surrender again during the game.
	//AI surrender can be switched off by anyone during a MP/SP game but can not be enabled again during that game.

// ECP_max_POWS_per_unit
   // The maximum number of POWS any one ECP player may capture and hold at any one time.
   // Default is 3
   // defined by server in MP
	//ECP_public set [60, 3 ];

// ECP_AI_surrender_chance
   // The chance any fleeing unit will surrender
   // Default is 0.5 (50% chance)
   // defined by server in MP
	//ECP_public set [65, 0.5 ];

// ECP_AI_surrender_min_backup
   // The minimum number of friendly "armed" units required within 100m of a fleeing unit to stop him from surrendering.
	//These must be units from different groups to the fleeing unit.
	//If he has less than this number of armed friends within 100m he might surrender.
   // Default is 3
   // defined by server in MP
	//ECP_public set [66, 3 ];

// ECP_AI_surrender_group_num
   // The number of alive group mates must be this number or less before a fleeing unit will surrender.
   // Default is 2
   // defined by server in MP
	//ECP_public set [67, 2 ];

// ECP_AI_surrender_dist_from_enemy
   // The distance any "known" enemy of a fleeing unit must be within before the fleeing unit will surrender.
   // Default is 50m
   // defined by server in MP
	//ECP_public set [68, 50 ];

// ECP_AI_west_surrender_enable
   // Enable/disable  WEST AI to surrender
   // Default is true
   // defined by server in MP
	//ECP_public set [62, true ];

// ECP_AI_east_surrender_enable
   // Enable/disable  EAST AI to surrender
   // Default is true
   // defined by server in MP
	//ECP_public set [63, true ];

// ECP_AI_res_surrender_enable
   // Enable/disable  RESISTANCE AI to surrender
   // Default is true
   // defined by server in MP
	//ECP_public set [64, true ];

// ECP_AI_interrogation_chance
   // Chance the player has of getting a successful answer during interrogation of AI POWs.
   // Default is 0.33333 (33% chance) per question.
	//Beware that interrogating AI will cause them damage and can kill them.
   // defined by server in MP
	//ECP_public set [69, 0.33333 ];
